[XFree86] fcint.h:445: parse error before "encoding"

Tushar Teredesai tushar at linuxfromscratch.org
Sun Jul 13 13:21:52 PDT 2003


kilroy wrote:

>   That is, when I saw
>
> <quote>
> XFree86 depends on:
> freetype-2.1.3, expat-1.95.6 and libpng-1.2.5
> </quote>
>
> in the BLFS Book, I tok it to mean that I had to install freetupe
> before I installed xfree -- which I did. 

You are correct, X, as built by the blfs-book, uses already installed 
freetype.

>   Now I notice there is a freetype2 source tree starting at
>
>                     xc/extras/freetype2/
>
> inside the xfree source tree, roughly 50% identical to the
> freetype2 I have installed. 

This is only used if you don't add the option "#define HasFreetype2 YES".

>   Maybe xfree compiles this "internal" version of freetype2
> and it is this internal version of freetype2 that conflicts with the 
> freetype2 that I have installed?

You didn't answer to my previous question, do you have a freetype-1.x 
installed?

-- 
Tushar Teredesai
   http://www.linuxfromscratch.org/~tushar/
   http://www.geocities.com/tushar/


-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe blfs-support' in the subject header of the message



More information about the blfs-support mailing list